using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace spring16_sem2_win04
{
    public partial class Form1 : Form
    {
        static public int maxwords = 100, max=0;
        static public bool dk2uk=false, uk2dk=false;
        static public int count;
        static public string in1="", in2="", in3="";
        static public int[] index = new int[maxwords];
        static public string[] out1 = new string[maxwords];
        public Form1()
        {
            InitializeComponent();
            //writefile();
            textBox1.Text = "Over halvdelen af brnene har taget for meget medicin p grund af misbrug";
        }
        private void init()
        {
            int x;
            for (x = 0; x < maxwords; x++)
                index[x] = -1;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Dk to Uk
            init();
            uk2dk=false;
            dk2uk=true;
            textBox2.Text = "";
            count = 0;
            findsentents();
            findwords();
            sortresult();
            showresult();
            MessageBox.Show("words that I could not translate : "+ in1);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //Uk to Dk
            dk2uk=false;
            uk2dk=true;
            count = 0;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //clear all
            textBox1.Text = "";
            textBox2.Text = "";
        }
        private void writefile()
        {
            StreamWriter ss = new StreamWriter("sent.dat", true);
            StreamWriter sw = new StreamWriter("word.dat", true);
            sw.WriteLine("brnene,The children");
            sw.WriteLine("af,of");
            sw.WriteLine("medicin,medicin");
            sw.WriteLine("misbrug,abuse");
            sw.WriteLine("undersgelse,the survey");
            ss.WriteLine("over halvdelen,more than half"); //of
            ss.WriteLine("har taget,has taken");
            ss.WriteLine("for meget,to much");
            ss.WriteLine("p grund af,because of");
            ss.WriteLine("viser tal,data shows");
            ss.WriteLine("mindst et barn,at least one child");
            ss.Close();
            sw.Close();
        }
        private void findsentents()
        {
            StreamReader sr = new StreamReader("sent.dat");
            in1=textBox1.Text;
            int pos;
            string newstr;
            string str;
            while ((str = sr.ReadLine()) != null)
            {
                string[] s = str.Split(',');
                if (dk2uk==true)
                {
                    pos=in1.ToLower().IndexOf(s[0].ToLower());
                    if (pos != -1) 
                    {
                        //MessageBox.Show(count.ToString() + " " + pos.ToString());
                        index[count] = pos;
                        out1[count++] = s[1];
                        newstr = "";
                        for (int i = 0; i < s[0].Length; i++)
                            newstr += " ";
                        in1 = in1.ToLower().Replace(s[0].ToLower(), newstr);
                    }
                }
            }
            sr.Close();
        }
    
        private void findwords()
        {
            //MessageBox.Show("*" + in1 + "*");
            StreamReader sr = new StreamReader("word.dat");
            int pos;
            string newstr;
            string str;
            {
                while ((str = sr.ReadLine()) != null)
                {
                    string[] s = str.Split(',');
                    if (dk2uk == true)
                    {
                        pos = in1.ToLower().IndexOf(s[0].ToLower());
                        if (pos != -1)
                        {
                            //MessageBox.Show(count.ToString()+ " "+pos.ToString());
                            index[count] = pos;
                            out1[count++] = s[1];
                            newstr = "";
                            for (int i = 0; i < s[0].Length; i++)
                                newstr += " ";
                            in1 = in1.ToLower().Replace(s[0].ToLower(), newstr);
                        }
                    }
                }
                sr.Close();
            }
        }
        private void sortresult()
        {
            int x, y, tempint;
            string tempstring;

            max = 0;
            for (x = 0; x < maxwords; x++)
                if (index[x] > -1)
                    max++;
            //MessageBox.Show("max = "+max);
            
            for (x = 0; x < max; x++)
            {
                for (y = 0; y < max - 1; y++)
                {
                    if (index[y] > index[y + 1])
                    {
                        tempint = index[y + 1];
                        index[y + 1] = index[y];
                        index[y] = tempint;
                        tempstring = out1[y + 1];
                        out1[y + 1] = out1[y];
                        out1[y] = tempstring;
                    }
                }
            }


        }
        private void showresult()
        {
            for (int i = 0; i < max; i++)
            {
                textBox2.Text += out1[i] + " ";
            }
        }
    }
}